<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Stellarium</title>
    
</head>
<body>
   
    <h1>SIMULACIÓN STELLARIUM</h1>
    <h2>PROYECTO FINAL </h2>

    <script src="three.js"></script>

    <script type="module">
        import * as THREE from "./three.module.js";
        import { OrbitControls } from "./OrbitControls.js";

        //creating scene
        var scene = new THREE.Scene();
        scene.background = new THREE.Color('Black');
          
        
        //add camera
        var camera = new THREE.PerspectiveCamera(
            55,
            window.innerWidth/window.innerHeight
        );

        //renderer
        var renderer = new THREE.WebGLRenderer();
        renderer.setSize(window.innerWidth, window.innerHeight);
        document.body.appendChild(renderer.domElement);

        //add geometry
        var geometry = new THREE.SphereGeometry(2,32,32);
        var material = new THREE.MeshBasicMaterial();
        var sphere = new THREE.Mesh(geometry, material);

        scene.add(sphere);

        camera.position.z = 5;

        var controls = new OrbitControls(camera, renderer.domElement);

      controls.minDistance = 3;
      controls.maxDistance = 10;

      //controls.enableZoom = false;

      //controls.enableRotate = false;

      controls.enableDamping = true;
      controls.dampingFactor = 0.5;

      controls.maxPolarAngle = Math.PI;

      controls.screenSpacePanning = true;

      var loader = new THREE.TextureLoader()
        loader.load('./ss.jpg', (texture)=>{
            material.map = texture
            animate()
        })

        //animation
        function animate (){
            requestAnimationFrame(animate)
            sphere.rotation.x +=0.001
            sphere.rotation.y +=0.001
    

            renderer.render(scene, camera);

        }

      

    

    </script>
<a href="Caracteristicas.html"><"CARACTERÍSTICAS"></a>
</body>
</html>